Subject: Re: [PATCH 2] autoconf: Use ./configure script in git *.spec file

From: Jakub Narebski <[email-masked]>
Date: Mon, 03 Jul 2006 22:43:39 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> As I see it, we have the following options with respect to autoconf
related
>> files and use of ./configure script
>>
>>
>> 1. Use autoconf and ./configure script generated by it as optional way to
>> configure installation process. Have configure.ac and config.mak.in in
main
>> directory of git.git repository. Do not use ./configure script in
>> git.spec.in, i.e. do not apply this patch... perhaps put _patch_ in the
>> contrib/. Leave changes to *.spec file to distributions, documenting it
>> somewhere.
>> ..
>> I am partially to [*1*], if just because I wouldn't need to take care
>> autoconf in git.
> 
> I do not understand this "I wouldn't need to take care autoconf
> in git" part.  Sorry.

Gah. It should be: "if just because there would be no need to have someone
to take care that ./configure is up-to-date with respect to changes in
autoconf files". Sorry for the noise. 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git